Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.merge
Class MergeHistoryNode

    java.lang.Object
      com.sun.mdm.index.master.search.merge.MergeHistoryNode

All Implemented Interfaces:
  java.io.Serializable

public class MergeHistoryNode
extends java.lang.Object
implements java.io.Serializable

Merge history node

See Also:
  Serialized Form

Constructor Summary
`MergeHistoryNode()` Creates a new instance of MergeHistoryNode
`MergeHistoryNode(java.lang.String destEUID, java.lang.String sourceEUID)` Constructor

Method Summary
`MergeHistoryNode` | `getDestinationNode()` Get destination node
`java.lang.String` | `getEUID()` Get EUID
`MergeHistoryNode` | `getParentNode()` Get parent node
`MergeHistoryNode` | `getSourceNode()` Get source node
`TransactionObject` | `getTransactionObject()` Get transaction object
`void` | `prettyPrint(int indent)` Output in readable format
`void` | `setDestinationNode(MergeHistoryNode destinationNode)` Set destination node
`void` | `setEUID(java.lang.String euid)` Set EUID
`void` | `setParentNode(MergeHistoryNode parentNode)` Set parent node
`void` | `setSourceNode(MergeHistoryNode sourceNode)` Set source node
`void` | `setTransactionObject(TransactionObject transactionObject)` Set transaction object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeHistoryNode

    public MergeHistoryNode()

  Creates a new instance of MergeHistoryNode

### MergeHistoryNode

    public MergeHistoryNode(java.lang.String destEUID,
                            java.lang.String sourceEUID)

  Constructor

  Parameters:
    `destEUID` - destination EUID
    `sourceEUID` - source EUID

Method Detail

### getDestinationNode

    public MergeHistoryNode getDestinationNode()

  Get destination node

  Returns:
    Destination node

### getEUID

    public java.lang.String getEUID()

  Get EUID

  Returns:
    EUID

### getParentNode

    public MergeHistoryNode getParentNode()

  Get parent node

  Returns:
    Parent node

### getSourceNode

    public MergeHistoryNode getSourceNode()

  Get source node

  Returns:
    Source node

### getTransactionObject

    public TransactionObject getTransactionObject()

  Get transaction object

  Returns:
    Transaction Object

### prettyPrint

    public void prettyPrint(int indent)

  Output in readable format

  Parameters:
    `indent` - size of indent

### setDestinationNode

    public void setDestinationNode(MergeHistoryNode destinationNode)

  Set destination node

  Parameters:
    `destinationNode` - Destination node

### setEUID

    public void setEUID(java.lang.String euid)

  Set EUID

  Parameters:
    `euid` - EUID

### setParentNode

    public void setParentNode(MergeHistoryNode parentNode)

  Set parent node

  Parameters:
    `parentNode` - Parent node

### setSourceNode

    public void setSourceNode(MergeHistoryNode sourceNode)

  Set source node

  Parameters:
    `sourceNode` - Source node

### setTransactionObject

    public void setTransactionObject(TransactionObject transactionObject)

  Set transaction object

  Parameters:
    `transactionObject` - Transaction object

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.